Name:           sigen
Version:        0.1.1
Release:        2%{?dist}
Summary:        An RPG/strategy engine

Group:          Amusements/Games
License:        GPLv3+
URL:            http://www.sourceforge.net/projects/sigen
Source0:        http://benboeckel.net/sigen/src/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  kdelibs4-devel >= 4.1.0
# May use this in the future
# BuildRequires:  kdegames4-devel
BuildRequires:  qt-devel >= 4.5.0
BuildRequires:  qca2-devel
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  desktop-file-utils
# May use this to link to documentation in the future
# BuildRequires:  kdelibs4-apidocs
# BuildRequires:  qt-doc
# The following are necessary due to designer plugins
# being included in -devel packages until these releases
Requires:       qt4-x11 >= 4.5.0-3
Requires:       kdelibs4 >= 4.2.1-4

%description
The Sigma Game Engine is an RPG/strategy game engine.
The following libraries and tools are provided:
Sigcore - library with common utility classes
Sigmod - library for loading, editing, and saving Sigmod files
Sigmodr - modding application for Sigmod files

%package devel
Summary:        Files needed to develop programs which use the Sigma Game Engine
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       kdelibs4-devel >= 4.1.0
# May use this in the future
# Requires:       kdegames4-devel
Requires:       qt-devel >= 4.5.0
Requires:       qca2-devel

%description devel
Development files used for creating apps using the Sigma Game
Engine libraries and tools.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4}             \
    -DBUILD_sigbattle=OFF \
    -DBUILD_sigencore=OFF \
    -DBUILD_signet=OFF    \
    -DBUILD_sigscript=OFF \
    -DBUILD_sigworld=OFF  \
    ..
popd
make VERBOSE=1 %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} PREFIX=%{_prefix} -C %{_target_platform} install/fast


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :


%postun
/sbin/ldconfig
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :


%files
%defattr(-,root,root,-)
%{_kde4_docdir}/HTML/en/sigmodr/
%{_docdir}/%{name}-%{version}
%{_bindir}/sigmodr
%{_libdir}/libsigcore.so.0
%{_libdir}/libsigcore.so.0.1.1
%{_libdir}/libsigmod.so.0
%{_libdir}/libsigmod.so.0.1.1
%{_libdir}/libsigmodrcorewidgets.so.0
%{_libdir}/libsigmodrcorewidgets.so.0.1.1
%{_libdir}/libsigmodrwidgets.so.0
%{_libdir}/libsigmodrwidgets.so.0.1.1
%{_libdir}/libsigmodrtree.so.0
%{_libdir}/libsigmodrtree.so.0.1.1
%{_datadir}/mime/packages/
%{_datadir}/applications/
%{_kde4_appsdir}/sigmodr/
%{_kde4_configdir}.kcfg/sigmodr.kcfg
%{_kde4_configdir}/sigmod.knsrc
%{_kde4_libdir}/kde4/plugins/designer/sigmodrcorewidgetsplugin.so


%files devel
%defattr(-,root,root,-)
%{_libdir}/libsigcore.so
%{_libdir}/libsigmod.so
%{_libdir}/libsigmodrcorewidgets.so
%{_libdir}/libsigmodrwidgets.so
%{_libdir}/libsigmodrtree.so
%{_includedir}/%{name}/
%{_kde4_appsdir}/cmake/modules/SigenExportedLibraryTargets.cmake
%{_kde4_appsdir}/cmake/modules/SigenExportedLibraryTargets-release.cmake


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 5 2009 Ben Boeckel <MathStuf@gmail.com> 0.1.1-1
- Update to release 0.1.1
- Fix Requires

* Sat Feb 28 2009 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.29.20090228git
- Update to newer snapshot

* Thu Feb 26 2009 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.28.20090226git
- Update package for recent changes
- Remove libraries which are not used at this time

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-0.27.20081206git529cd0e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 4 2009 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.26.20081206git529cd0e
- Patch for GCC 4.4

* Sat Dec 06 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.25.20081206git529cd0e
- CMake export files added

* Mon Dec 01 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.24.20081201git2fe921ca
- Sigworld added

* Mon Dec 01 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.23.20081201git2fe921ca
- Missed a / when making the tarball

* Mon Dec 01 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.22.20081201git2fe921ca
- Using git now instead of subversion

* Wed Nov 05 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.21.20081105svn305
- Moved the mimetype files outside of the spec file
- Now owns the mime, mimelnk, and applications directories
- Newer SVN (now with signet)

* Tue Sep 23 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.20.20080923svn266
- Newer SVN

* Sat Sep 13 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.19.20080907svn262
- Newer SVN

* Sun Sep 08 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.18.20080907svn257
- Spec file fixes

* Sun Sep 08 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.17.20080907svn256
- Spec file fixes

* Sun Sep 07 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.16.20080907svn255
- Newer SVN

* Sun Sep 07 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.15.20080907svn254
- Renamed project

* Mon Aug 18 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.14.20080818svn240
- Newer SVN
- Fixed some unused linkings

* Tue Aug 05 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.13.20080805svn239
- Newer SVN

* Mon Aug 04 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.12.20080804svn236
- Newer SVN
- Fixes for Fedora packaging

* Mon Aug 04 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.11.20080804svn234
- New RPM doesn't automatically create the buildroot

* Sun Aug 03 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.10.20080804svn233
- Newer SVN

* Sat Aug 02 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.9.20080802svn232
- Newer SVN build
- Added the XMLGUI file
- Bumped KDE to 4.1

* Fri Jul 11 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.8.20080711svn227
- Updated the version

* Mon Jun 30 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.7.20080630svn221
- Build/install use of buildroot fixed
- Fixed up changelog
- Fixed version requirements on Qt

* Mon Jun 30 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.6.20080630svn220
- Rebuild for new SVN version
- Qt 4.4 needed

* Sun Jun 22 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.5.20080628svn216
- Fixed the versions in the changelog
- Minor spelling mistakes in descriptions/summaries

* Fri Jun 20 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.4.20080618svn214
- Using cmake now
- Fixed up the -devel package
- .0.0 libs not made with cmake

* Tue Jun 17 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-0.3.20080617svn210
- New SVN revision
- Fixes for release versioning
- clean section fixed

* Sun Jun 08 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-2
- New SVN revision
- Fixes for name change

* Sun Jun 08 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.2-1
- Rebuild for version 0.0.2

* Sat Jun 07 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.1-4
- Added libpokebattle
- Moved headers to be under pokegen directory

* Fri Jun 06 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.1-3
- Created devel subpackage

* Sun Jun 01 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.1-2
- No longer need the images stored anywhere

* Mon Mar 04 2008 Ben Boeckel <MathStuf@gmail.com> 0.0.1-1
- Created
